# ESTKme 2025 Smart Card Product Firmware Upgrade Notes

The purpose of product firmware upgrade is to solve problems that occur during product use, or to add new features and improve product performance and stability.

To upgrade product firmware, you need to insert the card into the smart card reader and then connect the smart card reader to the computer.

For example, use: ESTKme-RED (https://www.estk.me/product/estkme-red/)

## Available products

1. ESTKme-MEG (2025)
2. ESTKme-ESS (2025)
3. ESTKme-DRO (2025)
4. ESTKme-AIR (2025)

## Product firmware upgrade method

You can upgrade the firmware of the product to the latest version by the following method:

If your computer system is Windows, you should run `fwupgrade.bat`

If your computer system is macOS, you should run `fwupgrade.command`

If your computer system is Linux, you should run `fwupgrade.sh`

## Upgrade Failure

1. If the upgrade using ESTKme-RED fails, please check if your ESTKme-RED smart card reader firmware is higher than version 1.1.3.
2. If you are using Windows, do not run the upgrade tool with administrator privileges.
3. Ensure you are in the correct working directory, as the upgrade tool will automatically detect the firmware file.

## For macOS Users

Due to macOS security mechanisms, please read <https://support.apple.com/en-hk/guide/mac-help/mh40616/mac> and follow the instructions before running.
